XNEST crashes in X_PolyFillRectangle with error config/hal: NewInputDeviceRequest failed

Bug #296122 reported by Paganini on 2008-11-10
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: xnest

I run a headless server that I log into using Terminal Server Client with XNEST via XDMCP. The server is running Hardy, the machine I connect from is running Intrepid. Ever since I upgraded my main workstation to Intrepid I have had this problem:

Xnest randomly crashes within five minutes of connecting to the headless server. The following error message pops up:

Could not init font path elements /usr/share/fonts/X11/cyrillic, removing from list!
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
X Error of failed request: BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request: 70 (X_PolyFillRectangle)
  Resource id in failed request: 0x0
  Serial number of failed request: 79841
  Current serial number in output stream: 79841

I suspect this is a problem with the XNEST that ships with Intrepid, since it has only started happening after the upgrade.

[lspci]
00:00.0 Host bridge [0600]: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:0314]
     Subsystem: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:0314]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV530LE [Radeon X1600/X1650 PRO] [1002:71c6]
     Subsystem: PC Partner Limited Device [174b:0850]

Bryce Harrington (bryce) wrote :

[This is an automated message]

Hi nebanks,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Changed in xorg-server:
status: New → Incomplete
Paganini (nebanks) wrote :

lspci -vvnn from box 1

Paganini (nebanks) wrote :

Xorg.0.log from box 1

Paganini (nebanks) wrote :
Download full text (18.7 KiB)

lspci -vvnn from box 2

00:00.0 Host bridge [0600]: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:0314]
 Subsystem: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:0314]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR+ INTx-
 Latency: 8
 Region 0: Memory at c0000000 (32-bit, prefetchable) [size=512M]
 Capabilities: <access denied>
 Kernel driver in use: agpgart-via
 Kernel modules: via-agp

00:00.1 Host bridge [0600]: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:1314]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:00.2 Host bridge [0600]: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:2314]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:00.3 Host bridge [0600]: VIA Technologies, Inc. PT890 Host Bridge [1106:3208]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Kernel modules: via-agp

00:00.4 Host bridge [0600]: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:4314]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:00.7 Host bridge [0600]: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge [1106:7314]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT8237/VX700 PCI Bridge [1106:b198]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000b000-0000bfff
 Memory behind bridge: fde00000-fdefffff
 Prefetchable memory behind bridge: e0000000-efffffff
 Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR+ <PERR-
 BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: <access denied>
 Kernel modules: shpchp

00:09.0 Multimedia audio controller [0401]: Creative Labs SB Live! EMU10k1 [1102:0002] (rev 08)
 Subsystem: Creative Labs Device [1102:8027]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisI...

Paganini (nebanks) wrote :
Download full text (48.1 KiB)

Xorg.0.log from box 2

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080131-1ubuntu9.2)
Current Operating System: Linux xpbox 2.6.24-21-generic #1 SMP Tue Oct 21 23:43:45 UTC 2008 i686
Build Date: 13 June 2008 01:08:21AM

 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Nov 9 19:30:56 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) | |-->Monitor "Configured Monitor"
(**) | |-->Device "Configured Video Device"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified. Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
 Using the first core pointer device.
(==) The core keyboard device wasn't specified explicitly in the layout.
 Using the first keyboard device.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81dc500
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.3
 X.Org Video Driver: 2.0
 X.Org XInput driver : 2.0
 X.Org Server Extension : 0.3
 X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
 compiled for 1.4.0.90, module version = 1.0.0
 ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1130 card 8086,0000 rev 04 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,1131 card 0000,0000 rev 04 class 06,04,00 hdr 01
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 05 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 05 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244b card 8086,2442 rev 05 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 8086,2442 rev 0...

Bryce Harrington (bryce) wrote :

Would it be possible for you to collect a full backtrace when running xnest this way? That could give us some clues as to where it is crashing exactly, and why. There is some info on getting full backtraces from the xserver at http://wiki.ubuntu.com/X/Backtracing. It doesn't address xnest in particular, but hopefully it gives enough guidance you can sort it out? Thanks ahead of time.

Changed in xorg-server:
status: Incomplete → New
status: New → Incomplete
Paganini (nebanks) wrote :

Hi Bryce,

Thanks for taking time to look at my bug, since no one else seems to have it.

I attached gdb to Xnest on the client machine, and to Xorg on the host machine after connecting to it via ssh.

After the crash the Xnest debug says "Program exited with code 01." When I ask for a backtrace it says "No stack." Here's the Xorg backtrace after hitting CTRL+C:

(gdb) backtrace full
#0 0xb7fe1410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7e2e84d in select () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0x081b22e5 in WaitForSomething (pClientsReady=0xbfed0f20)
    at ../../os/WaitFor.c:236
 i = <value optimized out>
 waittime = {tv_sec = 11, tv_usec = 416000}
 wt = (struct timeval *) 0xbfed0ee0
 timeout = <value optimized out>
 clientsReadable = {fds_bits = {0 <repeats 32 times>}}
 clientsWritable = {fds_bits = {137737928, 4199967, 136454976,
    136512764, 2, 32, 2, 136454976, 137902160, 136456672, -1074983336,
    -1222761997, 137902160, -1209360396, -1209355936, 137868360, -1074983336,
    -1210260240, -1209355936, 137868360, 136340232, -1074983344, -1074983304,
    137868352, 137902160, -1074983344, 137737928, 136163204, 137868360, 2,
    -1074983288, 4096}}
 curclient = <value optimized out>
 selecterr = -1222313176
 nready = <value optimized out>
 devicesReadable = {fds_bits = {137902160, -1222986884, -1074983560,
    -1223037046, 137902160, 137902224, 137902160, -1222298521, 137902160, 156,
    20, 135724671, 136163204, 0, 137902216, -1074983480, 2, 16, -1209469696,
---Type <return> to continue, or q <return> to quit---

    -1210276895, 137902160, 136454976, 136481800, -1221410176, 2, 32,
    -1074983416, 137868352, -1209355924, 137904992, -1209469796, 136454976}}
 now = 1861873
 someReady = 0
#3 0x0808d69d in Dispatch () at ../../dix/dispatch.c:425
 result = <value optimized out>
 client = (ClientPtr) 0x835b6c8
 nready = -1
 start_tick = 20
#4 0x0807471b in main (argc=10, argv=0xbfed1454, envp=0x0)
    at ../../dix/main.c:452
 i = 1
 error = 136163204
 xauthfile = <value optimized out>
 alwaysCheckForInput = {0, 1}
(gdb)

Bryce Harrington (bryce) wrote :

Okay, I probably should have asked this earlier, but in reviewing your report I notice that you are connecting one system with Intrepid (xserver 1.5) to another with Hardy (xserver 1.4). Can you test to see if it only occurs when connecting from Intrepid to Hardy? I.e., does a Hardy-to-Hardy connection work properly?

Also, from your last comment it sounds like xnest isn't crashing so much as exiting with an error code. In fact, "Major opcode of failed request" indicates it is a protocol level failure, such as a miscommunication between the client and server. So I really think your problem is due to an X version incompatibility between your client and server.

If there is a way you could test to prove or disprove that theory, it would be great.

Bryce Harrington (bryce) on 2009-01-30
Changed in xorg-server:
status: Incomplete → New
status: New → Incomplete
Paganini (nebanks) wrote :

Hey Bryce,

I have 3 intrepid boxes, one hardy box, and one gutsy box. I can verify that XNEST also crashes when connecting between the intrepid boxes, as well as from an intrepid box to the gutsy box or hardy box.

However, the intrepid crashes just close immediately with no error, so I suppose it might be a different issue.

Bryce Harrington (bryce) wrote :

Was the backtrace you gave earlier from between two intrepid boxes? Unfortunately it only shows that the xserver is in a loop so doesn't give good insight into what's gone wrong.

Hmm, well nothing is making itself evident to me and I'm not certain what other debugging could be done. I guess next step is for this to go upstream.

Changed in xorg-server (Ubuntu):
importance: Undecided → High
status: Incomplete → Triaged
Paganini (nebanks) wrote :

Hi Bryce,

Frustratingly, I can no longer reliably recreate this bug!! Some update seems to have changed things during the last month and a half. (I stopped using XNEST for administration during that time because it was crashing constantly.) I can now connect to both my Hardy box and my Gutsy box, as well as my other Intrepid boxes in different combinations. I'm still getting some random crashing, but it is no longer every time I connect, and it is also no longer within the same time limit.

I still get weird errors where gnome-settings-daemon crashes and restarts constantly. It complains about "missing RANDR" when I try to start it from a terminal.

But, I guess that this is a different bug.

Bryce Harrington (bryce) on 2009-04-21
description: updated
Mark Beierl (mbeierl) wrote :

I'm getting this XNest close quite frequently, Jaunty -> Jaunty (including the missing RANDR messages.) It fails intermittently with different messages like so:

[dix] Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
X Error of failed request: BadMatch (invalid parameter attributes)
  Major opcode of failed request: 73 (X_GetImage)
  Serial number of failed request: 168418
  Current serial number in output stream: 168418

--- or ---

XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 36080 requests (36043 known processed) with 0 events remaining.

Anything I can do to help provide more info?

Same problem here with an intel video card.

The same problem when I run from gnome-terminal:

sudo X -query myxdmcpserver :1

To reproduce it I can login at gdm xdmcp screen, run openoffice, gcalctool, and when I run another app, it crashes with the message from the other post above.

trojanfoe (trojanfoe) wrote :

I have this problem in Jaunty amd64 when attempting to start an xfce 4.4 session on a CentOS 5.3 server via XDMCP. The text looks identical:

andy@vistabox:~$ Xnest :1 -query pandora
[dix] Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
X Error of failed request: BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request: 70 (X_PolyFillRectangle)
  Resource id in failed request: 0x0
  Serial number of failed request: 6904
  Current serial number in output stream: 6904

trojanfoe (trojanfoe) wrote :

Related to comment directly above

Bryce Harrington (bryce) on 2009-08-13
tags: added: intrepid
edwardtilbury (edwardtilbury) wrote :

I get the exact same thing in 9.04 x64 client when connecting to 9.04 x64 host.

Could not init font path elements /usr/share/fonts/X11/cyrillic, removing from list!
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed

Im using X -query from console, using this way, it works fine.

On Thu, Sep 10, 2009 at 7:53 PM, edwardtilbury<email address hidden> wrote:
> I get the exact same thing in 9.04 x64 client when connecting to 9.04
> x64 host.
>
>
>
>
> Could not init font path elements /usr/share/fonts/X11/cyrillic, removing from list!
> (EE) config/hal: NewInputDeviceRequest failed
> (EE) config/hal: NewInputDeviceRequest failed
> (EE) config/hal: NewInputDeviceRequest failed
> (EE) config/hal: NewInputDeviceRequest failed
> (EE) config/hal: NewInputDeviceRequest failed
>
> ** Attachment added: "xdmcp_fail.jpg"
>   http://launchpadlibrarian.net/31625523/xdmcp_fail.jpg
>
> --
> XNEST crashes in X_PolyFillRectangle with error config/hal: NewInputDeviceRequest failed
> https://bugs.launchpad.net/bugs/296122
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hrotkó Gábor (roti-al) wrote :

problem in karmic:

$ Xnest :1 -query 192.168.99.118
[dix] Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 197 requests (197 known processed) with 0 events remaining.

kallisti5 (kallisti5) wrote :

same problem in karmic connecting to a OpenSolaris machine via xmcp:

alex@eris:~$ Xnest :2 -query 192.168.1.200
[dix] Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
[config/dbus] couldn't take over org.x.config: org.freedesktop.DBus.Error.AccessDenied (Connection ":1.88" is not allowed to own the service "org.x.config.display2" due to security policies in the configuration file)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
(EE) config/hal: NewInputDeviceRequest failed (2)
[dix] Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
X Error of failed request: BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request: 70 (X_PolyFillRectangle)
  Resource id in failed request: 0x0
  Serial number of failed request: 14783
  Current serial number in output stream: 14783

The error happens after I log in and seems like just as gnome-notification-daemon starts.

This was on karmic with latest xnest package.

Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Paganini,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 296122

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 296122 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/296122

Changed in xorg-server (Ubuntu):
status: Triaged → Incomplete
tags: added: needs-retested-on-lucid-by-june
Paganini (nebanks) wrote :

This seems to be resolved in Lucid. My Thinkpad X40 running Lucid can connect with no problem to my headless server running Hardy. I didn't test it that extensively, but it's been running for over 10 minutes without a crash, and I ran an IRC program and a server update.

Changed in xorg-server (Ubuntu):
status: Incomplete → Fix Released
Graham (ubuntu-grahams) wrote :

Me getting this too on makerick.

Pretty much identical.

I think this has always been a problem as I have used many distros for many years and Xnest has always been buggy

Using XLIB_SKIP_ARGB_VISUALS=1 (which stops a similar bug in nedit) helps sometimes
http://ubuntuforums.org/archive/index.php/t-202772.html

Also using smaller window geometry which makes me think is may be linked to resource allocation (e.g. memory).

Changed in xorg-server (Ubuntu):
status: Fix Released → In Progress
Bryce Harrington (bryce) wrote :

Hi Graham, sorry you're having an XNest problem. While your symptoms may seem identical to the original bug report, since the original bug report was verified as fixed, my guess would be you're seeing an unrelated bug that just happens to fail in a similar fashion. HAL is no longer present in Maverick so you wouldn't be getting an identical error message.

In fact XNEST is largely deprecated in favor of Xephyr. I would recommend using xephyr instead. If you have trouble with it, please seek out technical support at http://askubuntu.com

Changed in xorg-server (Ubuntu):
status: In Progress → Fix Released
Mickael Istria (mistria) wrote :

I get the same using Ubuntu 11.10, and trying to run Eclipse 3.7.2 over Xnest:

Xnest :14 &
metacity --display :14 &
./eclipse

> X Error of failed request: BadDrawable (invalid Pixmap or Window parameter)
> Major opcode of failed request: 70 (X_PolyFillRectangle)
> Resource id in failed request: 0x0
> Serial number of failed request: 717
> Current serial number in output stream: 718

Some additional infos:

uname -a
> Linux mistria--rh 3.0.0-17-generic #30-Ubuntu SMP Thu Mar 8 20:45:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

lspci:
> 00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
> 00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

Frank Hintsch (f-hintsch) wrote :

I get the same using Ubuntu 13.10 and running Flwm over Xnest:

X Error of failed request: BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request: 70 (X_PolyFillRectangle)
  Resource id in failed request: 0x0
  Serial number of failed request: 4751
  Current serial number in output stream: 4755
X I/O error
xterm: fatal IO error 11 (Resource temporarily unavailable) or KillClient on X server ":1"

Peter Waller (peter.waller) wrote :

I'm also seeing the same with Xnest on 13.10.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers